<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="train">
            <h2><span jhiTranslate="icyTrainApp.train.detail.title">Train</span> {{train.id}}</h2>
            <hr>
            <jhi-alert-error></jhi-alert-error>
            <dl class="row-md jh-entity-details">
                <dt><span jhiTranslate="icyTrainApp.train.name">Name</span></dt>
                <dd>
                    <span>{{train.name}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.train.numOfCars">Num Of Cars</span></dt>
                <dd>
                    <span>{{train.numOfCars}}</span>
                </dd>
                <dt><span jhiTranslate="icyTrainApp.train.voyage">Voyage</span></dt>
                <dd>
                    <div *ngIf="train.voyage">
                        <a [routerLink]="['/voyage', train.voyage?.id, 'view']">{{train.voyage?.id}}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon [icon]="'arrow-left'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
            </button>

            <button type="button"
                    [routerLink]="['/train', train.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon [icon]="'pencil-alt'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
            </button>
        </div>
    </div>
</div>
